kio Library: KIO::SlaveInterface Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::SlaveInterface Class Reference

There are two classes that specifies the protocol between application ( KIO::Job) and kioslave. More...

`#include <slaveinterface.h>`

Inheritance diagram for KIO::SlaveInterface:

[legend]
Collaboration diagram for KIO::SlaveInterface:

[legend]
List of all members.

## Signals
void | data (const QByteArray &)
void | dataReq ()
void | error (int, const QString &)
void | connected ()
void | finished ()
void | slaveStatus (pid_t, const QCString &, const QString &, bool)
void | listEntries (const KIO::UDSEntryList &)
void | statEntry (const KIO::UDSEntry &)
void | needSubURLData ()
void | needProgressId ()
void | canResume (KIO::filesize_t)
void | metaData (const KIO::MetaData &)
void | totalSize (KIO::filesize_t)
void | processedSize (KIO::filesize_t)
void | redirection (const KURL &)
void | speed (unsigned long)
void | errorPage ()
void | mimeType (const QString &)
void | warning (const QString &)
void | infoMessage (const QString &)
void | connectFinished ()
void | authorizationKey (const QCString &, const QCString &, bool)
void | delAuthorization (const QCString &grpkey)
## Public Member Functions
| SlaveInterface (Connection *connection)
void | setConnection (Connection *connection)
Connection * | connection () const
void | setProgressId (int id)
int | progressId () const
void | sendResumeAnswer (bool resume)
void | setOffset (KIO::filesize_t offset)
KIO::filesize_t | offset () const
## Protected Slots
void | calcSpeed ()
## Protected Member Functions
virtual bool | dispatch ()
virtual bool | dispatch (int _cmd, const QByteArray &data)
void | openPassDlg (KIO::AuthInfo &info)
void | openPassDlg (const QString &prompt, const QString &user, const QString &caption, const QString &comment, const QString &label, bool readOnly) KDE_DEPRECATED
void | openPassDlg (const QString &prompt, const QString &user, bool readOnly) KDE_DEPRECATED
void | messageBox (int type, const QString &text, const QString &caption, const QString &buttonYes, const QString &buttonNo)
void | messageBox (int type, const QString &text, const QString &caption, const QString &buttonYes, const QString &buttonNo, const QString &dontAskAgainName)
void | requestNetwork (const QString &, const QString &)
void | dropNetwork (const QString &, const QString &)
virtual void | virtual_hook (int id, void *data)
## Static Protected Member Functions
static void | sigpipe_handler (int)
## Protected Attributes
Connection * | m_pConnection

## Detailed Description

There are two classes that specifies the protocol between application ( KIO::Job) and kioslave.

SlaveInterface is the class to use on the application end, SlaveBase is the one to use on the slave end.

A call to foo() results in a call to slotFoo() on the other end.

Definition at line 92 of file slaveinterface.h.

## Member Function Documentation

void KIO::SlaveInterface::authorizationKey | ( | const QCString & | ,
|  | const QCString & | ,
|  | bool |
| ) | `[signal]`

| Deprecated: . Obselete as of 3.1. Replaced by kpassword, a kded module.

void KIO::SlaveInterface::delAuthorization | ( | const QCString & | grpkey | ) | `[signal]`

| Deprecated: . Obselete as of 3.1. Replaced by kpassword, a kded module.

void SlaveInterface::openPassDlg | ( | KIO::AuthInfo & | info | ) | `[protected]`

| Prompt the user for authrization info (login & password). Use this function to request authorization info from the the end user. For example to open an empty password dialog using default values:
     KIO::AuthInfo authInfo;
     bool result = openPassDlg( authInfo );
     if ( result )
     {
        printf( "Username: %s", result.username.latin1() );
        printf( "Username: %s", result.username.latin1() );
     }
You can also pre-set some values like the username before hand if it is known as well as the comment and caption to be displayed:
     authInfo.comment= "Enter username and password to access acmeone";
     authInfo.caption= "Acme Password Dialog";
     authInfo.username= "Wily E. kaiody";
     bool result = openPassDlg( authInfo );
     if ( result )
     {
        printf( "Username: %s", result.username.latin1() );
        printf( "Username: %s", result.username.latin1() );
     }
  NOTE: A call to this function can also fail and result in a return value of `false`, if the UIServer could not be started for whatever reason. Parameters:
  | info | See AuthInfo.
Returns: true if user clicks on "OK", false otherwsie. Definition at line 469 of file slaveinterface.cpp. References endl(), kdDebug(), Observer::openPassDlg(), Observer::self(), and KIO::Connection::sendnow(). Referenced by openPassDlg().

void SlaveInterface::openPassDlg | ( | const QString & | prompt,
|  | const QString & | user,
|  | const QString & | caption,
|  | const QString & | comment,
|  | const QString & | label,
|  | bool | readOnly
| ) | `[protected]`

| Deprecated: . Use openPassDlg( AuthInfo& ) instead. Definition at line 455 of file slaveinterface.cpp. References KIO::AuthInfo::caption, KIO::AuthInfo::comment, KIO::AuthInfo::commentLabel, openPassDlg(), KIO::AuthInfo::prompt, KIO::AuthInfo::readOnly, and KIO::AuthInfo::username.

void SlaveInterface::openPassDlg | ( | const QString & | prompt,
|  | const QString & | user,
|  | bool | readOnly
| ) | `[protected]`

| Deprecated: . Use openPassDlg( AuthInfo& ) instead. Definition at line 446 of file slaveinterface.cpp. References openPassDlg(), KIO::AuthInfo::prompt, KIO::AuthInfo::readOnly, and KIO::AuthInfo::username.

void SlaveInterface::messageBox | ( | int | type,
|  | const QString & | text,
|  | const QString & | caption,
|  | const QString & | buttonYes,
|  | const QString & | buttonNo,
|  | const QString & | dontAskAgainName
| ) | `[protected]`

| Since: 3.3 Definition at line 498 of file slaveinterface.cpp. References endl(), QString::fromUtf8(), kdDebug(), KIO::Connection::resume(), KIO::Connection::sendnow(), and KIO::Connection::suspend().

The documentation for this class was generated from the following files:

- slaveinterface.h
- slaveinterface.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:27:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003